Skip to main content
GET
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
documents
List employee documents
curl --request GET \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/documents \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "employeeId": "<string>",
      "documentType": "payslip",
      "documentName": "<string>",
      "gcsBucket": "<string>",
      "gcsPath": "<string>",
      "mimeType": "<string>",
      "status": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "fileSizeBytes": 123,
      "documentDate": "2023-12-25",
      "templateId": 123,
      "createdBy": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "hasNext": false,
    "hasPrev": false,
    "nextCursor": "<string>",
    "prevCursor": "<string>",
    "total": 0
  }
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Query Parameters

document_type
enum<string> | null

Filter by document type

Available options:
payslip,
contract,
work_permit,
id_document,
proof_of_address,
other
status
enum<string>
default:active

Filter by status (default: active)

Available options:
active,
archived,
deleted,
pending_upload
limit
integer
default:10
Required range: 1 <= x <= 100
cursor
string | null
prev_cursor
string | null
sort
string[]

Response

Successful Response

items
DocumentResponse · object[]
required
pagination
PaginationMeta · object
required